Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.code.generator.wrapping
Class JavaCodeGeneratorAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.code.generator.wrapping.JavaCodeGeneratorAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class JavaCodeGeneratorAction

extends AbstractAction

See Also:
  Serialized Form

Field Summary
`static String` | `JAVA_CODE_GEN_ACTION_NAME`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JavaCodeGeneratorAction(KnowledgeBase kb)`

Method Summary
`void` | `actionPerformed(ActionEvent arg0)`
`String` | `getName()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_CODE_GEN_ACTION_NAME

    public static final String JAVA_CODE_GEN_ACTION_NAME

See Also:
  Constant Field Values

Constructor Detail

### JavaCodeGeneratorAction

    public JavaCodeGeneratorAction(KnowledgeBase kb)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent arg0)

### getName

    public String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.